function R_sbu=fresnel_sbu(n,k)
% fresnel: fresnel model for non-normal incidence

u1=n.^2.-k.^2.-sin(30*pi/180).^2;
u2=((n.^2.-k.^2.-sin(30*pi/180).^2.).^2.+4.*n.^2.*k.^2.).^0.5;
u3=((u1+u2)./2.).^0.5;

v1=-(n.^2.-k.^2.-sin(30*pi/180).^2.);
v2=((n.^2.-k.^2.-sin(30*pi/180).^2.).^2.+4.*n.^2.*k.^2.).^0.5;
v3=((v1+v2)./2.).^0.5;

R_par_num=(cos(30*pi/180)-u3).^2.+v3.^2.;
R_par_denom=(cos(30*pi/180)+u3).^2.+v3.^2.;
R_par=R_par_num./R_par_denom;

R_perp_num=((n.^2.-k.^2.).*cos(30*pi/180)-u3).^2.+(2*n.*k.*cos(30*pi/180)-v3).^2.;
R_perp_denom=((n.^2.-k.^2.).*cos(30*pi/180)+u3).^2.+(2*n.*k.*cos(30*pi/180)+v3).^2.;
R_perp=R_perp_num./R_perp_denom;

R_sbu=0.5*(R_perp+R_par);

